#!/usr/bin/php
<?php
foreach (glob("HTML/*.html") as $f) {
    cvt($f);
}

foreach (glob("HTML/FAK/*.html") as $f) {
    cvt($f);
}

foreach (glob("HTML/RIND/*.html") as $f) {
    cvt($f);
}

function cvt($f)
{
    echo "$f\n";
    $t = file_get_contents($f);
    if (!preg_match('/charset=windows-1251/',$t))
        return;
    $lines = explode("\n",$t);
    foreach ($lines as &$line) {
        $line = preg_replace(
            '/<meta http-equiv=\"Content-Type\" content=\"text\/html; charset=windows-1251\" \/>/',
            '<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />',
            $line);
        $line = preg_replace('/&#8211;/','&ndash;',$line);
        $line = preg_replace('/&#8212;/','&mdash;',$line);
        $line = preg_replace(
            '/<!--#include virtual="\/counter.php"-->/',
            '<!--#include virtual="/counteru.php"-->',
            $line);
        $line = mb_convert_encoding($line, "UTF-8", "windows-1251");
        $line = preg_replace_callback("/(&#[0-9]+;)/", function($m) { 
            return mb_convert_encoding($m[1], "UTF-8", "HTML-ENTITIES");
        }, $line);
        $line = preg_replace('/\s*$/u','',$line);
    }
    $t = implode("\n",$lines);
    file_put_contents($f,$t);
}
